> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns info about the system.

> Returns info about the system.

## OpenAPI

````json GET /sys/v1/info
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/info": {
      "get": {
        "operationId": "SystemInfo",
        "tags": [
          "Misc"
        ],
        "summary": "Returns info about the system.",
        "description": "Returns info about the system.",
        "parameters": [
          {
            "$ref": "#/components/parameters/SystemInfoParams"
          }
        ],
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SystemInfoResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "SystemInfoParams": {
        "in": "query",
        "name": "SystemInfoParams",
        "schema": {
          "$ref": "#/components/schemas/SystemInfoParams"
        },
        "explode": true
      }
    },
    "schemas": {
      "SystemInfoResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "Information about the service version.",
            "properties": {
              "external_entropy": {
                "$ref": "#/components/schemas/ExternalEntropyInfo"
              }
            }
          },
          {
            "$ref": "#/components/schemas/VersionResponse"
          }
        ]
      },
      "SystemInfoParams": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "detailed_fips_info": {
                "type": "boolean",
                "description": "Include FIPS-relevant info in the response. Currently that is `plugins_digest`.\n\nOnly applicable to FIPS builds."
              }
            }
          }
        ]
      },
      "ExternalEntropyInfo": {
        "allOf": [
          {
            "type": "object",
            "description": "Information about the service version.",
            "properties": {
              "external_entropy_sources": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/ExternalEntropySourceInfo"
                }
              }
            },
            "required": [
              "external_entropy_sources"
            ]
          }
        ]
      },
      "VersionResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "Information about the service version.",
            "properties": {
              "version": {
                "type": "string",
                "description": "Server version. This is encoded as \"major.minor.build\"."
              },
              "api_version": {
                "type": "string",
                "description": "The API version implemented by the server."
              },
              "server_mode": {
                "$ref": "#/components/schemas/ServerMode"
              },
              "fips_level": {
                "type": "integer",
                "minimum": 0,
                "maximum": 255,
                "nullable": true,
                "description": "FIPS level at which the service in running. If this field is absent, then the service is\nnot running in FIPS compliant mode."
              },
              "plugins_digest": {
                "type": "string",
                "format": "byte",
                "description": "An opaque digest of all current plugins.\n\nOnly present when the server is running in FIPS mode."
              }
            },
            "required": [
              "version",
              "api_version",
              "server_mode"
            ]
          }
        ]
      },
      "ExternalEntropySourceInfo": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "name": {
                "type": "string"
              },
              "description": {
                "type": "string",
                "nullable": true
              }
            },
            "required": [
              "name"
            ]
          }
        ]
      },
      "ServerMode": {
        "description": "Server execution mode.",
        "type": "string",
        "enum": [
          "Software",
          "Sgx"
        ]
      }
    }
  }
}
````

